aboutsummaryrefslogtreecommitdiffstats
path: root/vendor/bin/vobject
diff options
context:
space:
mode:
authorMario <mario@mariovavti.com>2022-10-12 08:42:41 +0000
committerMario <mario@mariovavti.com>2022-10-12 08:42:41 +0000
commitc36bb17475b3dd5925cefc32752f1fb8a63df154 (patch)
tree2f1fce354be40e759c493e02c259d9d3120b4e5f /vendor/bin/vobject
parent2291fcdf11fe3e03cc84ca8171cd7dcf03015e17 (diff)
downloadvolse-hubzilla-c36bb17475b3dd5925cefc32752f1fb8a63df154.tar.gz
volse-hubzilla-c36bb17475b3dd5925cefc32752f1fb8a63df154.tar.bz2
volse-hubzilla-c36bb17475b3dd5925cefc32752f1fb8a63df154.zip
composer update sabre
Diffstat (limited to 'vendor/bin/vobject')
-rwxr-xr-xvendor/bin/vobject5
1 files changed, 4 insertions, 1 deletions
diff --git a/vendor/bin/vobject b/vendor/bin/vobject
index 0097f5a5c..0a78d4965 100755
--- a/vendor/bin/vobject
+++ b/vendor/bin/vobject
@@ -108,7 +108,10 @@ if (PHP_VERSION_ID < 80000) {
}
}
- if (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper')) {
+ if (
+ (function_exists('stream_get_wrappers') && in_array('phpvfscomposer', stream_get_wrappers(), true))
+ || (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper'))
+ ) {
include("phpvfscomposer://" . __DIR__ . '/..'.'/sabre/vobject/bin/vobject');
exit(0);
}